Passa al contenuto principale

HostingModSecurityScanResponse

Successful response with one HostingModSecurityScan

errorintegerrequired

Always 0 in a successful response

Constant value: 0
messagestring | nullnullablerequired

Always null in a successful response

data objectrequired

Scan of the ModSecurity rules that generated errors or blocks on the hosting

scan_idintegerrequired
hosting_idinteger | nullnullablerequired

Id of the hosting (GET /api/v3/hostings/{hosting_id})

date_createddate-timerequired
errorstring | nullnullablerequired

Error of the scan; null when it succeeded

rules_foundintegerrequired

Number of rules found by the scan: those that generated errors or blocks on the day of the scan

rules_excludedintegerrequired

Number of rules found by the scan that are disabled on the hosting now (included true in GET /api/v3/hostings/{hosting_id}/modsecurity/rules)

metarequired

Always null: only the paginated lists have a meta

Constant value: null
HostingModSecurityScanResponse
{
"error": 0,
"message": "string",
"data": {
"scan_id": 0,
"hosting_id": 0,
"date_created": "2024-07-29T15:51:28.071Z",
"error": "string",
"rules_found": 0,
"rules_excluded": 0
}
}